Subject: [edu-team] Re: [NGO] Tutorial on RELAX NG and/or XSD at Vancouver IETF?

From: Ladislav Lhotka <[email-masked]>
Date: Thu, 11 Oct 2007 10:13:24 +0200

Hi,

I provided the input requested by the EDUteam but haven't got any feedback yet. However, I can only cover RELAX NG, so if the tutorial is to include both RNG and XSD on a symmetrical basis, someone else should volunteer to do the XSD part.

Lada

Ladislav Lhotka, CESNET
PGP Key: E74E8C0C

----- Original message -----
From: Benoit Claise <[email-masked]>
To: Andy Bierman <[email-masked]>
Cc: [email-masked], [email-masked]
Sent: Wed, 10 Oct 2007, 23:05:52 CEST
Subject: Re: [NGO] Tutorial on RELAX NG and/or XSD at Vancouver IETF?
Hi there,

Is this tutorial taking place?

Regards, Benoit.
> Romascanu, Dan (Dan) wrote:
>> EDU Team,
>>
>> I support this, and also an XSD tutorial. Both are needed and closely 
>> related to current work and debates in the OPS area, and probably 
>> other areas like APPS may also be interested.
>
> Don't forget Xpath ;-)
>
>> Dan
>
> Andy
>
>>
>>
>>  
>>  
>>
>>> -----Original Message-----
>>> From: Wijnen, Bert (Bert) [mailto:[email-masked]] Sent: 
>>> Friday, September 14, 2007 2:45 PM
>>> To: [email-masked]
>>> Cc: [email-masked]
>>> Subject: [NGO] Tutorial on RELAX NG and/or XSD at Vancouver IETF?
>>>
>>> Forwarding to EDU team, so they are aware of it
>>> NGO/Netconf folk, we need to show our interest FAST if we want this 
>>> to happen. If the EDU-team does not have a slot, we could try for a 
>>> separate smaller session outside the normal program.
>>>
>>> It would be good to also have an XSD tutorial though, so we can much 
>>> better compare the two.
>>>
>>> Bert Wijnen
>>> -----Original Message-----
>>> From: Ladislav Lhotka [mailto:[email-masked]]
>>> Sent: Friday, September 14, 2007 1:35 PM
>>> To: Wijnen, Bert (Bert)
>>> Cc: Andy Bierman; [email-masked]
>>> Subject: RE: [NGO] NETCONF Data Modeling BoF (NDM) proposal
>>>
>>> Wijnen, Bert (Bert) píše v Pá 14. 09. 2007 v 13:21 +0200:
>>>>> From: Ladislav Lhotka [mailto:[email-masked]]
>>>>> Sent: Thursday, September 13, 2007 9:12 AM
>>>>> To: Andy Bierman
>>>>> Cc: [email-masked]
>>>>> Subject: Re: [NGO] NETCONF Data Modeling BoF (NDM) proposal
>>>>>
>>>>> Try it and you will see that RELAX NG is way easier and more 
>>>>> predictable. James Clark claims the RNG Tutorial can get 
>>> you going
>>>>> in 30 minutes, which is probably an exaggeration, but perhaps two 
>>>>> hours could be enough?
>>>>>
>>>> Candidate tutorial for Vancouver?
>>> OK, if there is interest, I am volunteering to prepare it.
>>>
>>> Lada
>>>
>>> -- 
>>> Ladislav Lhotka, CESNET
>>> PGP Key ID: E74E8C0C
>>>
>>>
>>>
>>> _______________________________________________
>>> NGO mailing list
>>> [email-masked]
>>> https://www1.ietf.org/mailman/listinfo/ngo
>>>
>>
>>
>> _______________________________________________
>> NGO mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/ngo
>>
>>
>
>
>
> _______________________________________________
> NGO mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ngo

_______________________________________________
NGO mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ngo

_______________________________________________
edu-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/edu-team

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 11 Oct 2007 13:04:16 +0200

I believe that the EDU team is on track with doing this tutorial. We are however still missing an expert to do the XSD part, so any proposals about folks with expertise in the field to do this part are welcome. 

Dan

> Sent: Thursday, October 11, 2007 10:13 AM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]
> I provided the input requested by the EDUteam but haven't got 
> any feedback yet. However, I can only cover RELAX NG, so if 
> the tutorial is to include both RNG and XSD on a symmetrical 
> basis, someone else should volunteer to do the XSD part.
> 
> Lada
> 
> Ladislav Lhotka, CESNET
> PGP Key: E74E8C0C
> 
> >>> From: Wijnen, Bert (Bert) 
> [mailto:[email-masked]] Sent: 
> NGO/Netconf folk, we 
> >>> need to show our interest FAST if we want this to happen. If the 
> >>> EDU-team does not have a slot, we could try for a 
> separate smaller

---

From: Margaret Wasserman <[email-masked]>
Date: Tue, 16 Oct 2007 08:59:57 -0400

Hi Dan,

Given that we do not have a complete proposal or an XSD expert  
volunteer, I believe it is too late to put this tutorial together for  
Vancouver.  If you think it would still be useful by IETF 71, I'd be  
happy to work with the apps and management ADs to try to put together  
an XML modeling tutorial (including Relax NG and XSD) to debut at  
IETF 71 in Pittsburgh.  Hopefully we could have a tutorial that would  
be useful both to management and apps folks working in this area.

Margaret

On Oct 11, 2007, at 7:04 AM, Romascanu, Dan (Dan) wrote:

> I believe that the EDU team is on track with doing this tutorial.  
> We are however still missing an expert to do the XSD part, so any  
> proposals about folks with expertise in the field to do this part  
> are welcome.
>
> Dan
>
>
>
>
>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 16 Oct 2007 15:30:41 +0200

Margaret,

I would say that IETF 71 may not be too late, but IETF 70 is certainly not too early. Is really all hope lost for finding an expert to run the XSD part of the tutorial? Can't the query to the APPS ADs and maybe to XML directorate be run now? 

I have added to the distribution list a few more folks in the hope that they may be able to help. 

Dan

> From: Margaret Wasserman [mailto:[email-masked]] 
> Sent: Tuesday, October 16, 2007 3:00 PM
> To: Romascanu, Dan (Dan)
> Cc: Ladislav Lhotka; [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Subject: Re: [edu-team] RE: [NGO] Tutorial on RELAX NG and/or 
> XSD at Vancouver IETF?
> 
> 
> Hi Dan,
> 
> Given that we do not have a complete proposal or an XSD 
> expert volunteer, I believe it is too late to put this 
> tutorial together for Vancouver.  If you think it would still 
> be useful by IETF 71, I'd be happy to work with the apps and 
> management ADs to try to put together an XML modeling 
> tutorial (including Relax NG and XSD) to debut at IETF 71 in 
> Pittsburgh.  Hopefully we could have a tutorial that would be 
> useful both to management and apps folks working in this area.
> 
> Margaret
> 
> > proposals about folks with expertise in the field to do 
> this part are 
> > welcome.
> >
> > Dan
> >
> >
> >
> >
> >
> >> I provided the input requested by the EDUteam but haven't got any 
> >> feedback yet. However, I can only cover RELAX NG, so if 
> the tutorial 
> >> is to include both RNG and XSD on a symmetrical basis, 
> someone else 
> >> should volunteer to do the XSD part.
> >>
> >> Lada
> >>
> >> Ladislav Lhotka, CESNET
> >> PGP Key: E74E8C0C
> >>

---

From: Margaret Wasserman <[email-masked]>
Date: Tue, 16 Oct 2007 10:23:08 -0400

Hi Lisa and Chris,

The EDU Team has received a fairly urgent request from the OPS/NM  
Area and the NETCONF community for a tutorial on XML modeling,  
specifically on XSD and Relax NG.  Although they realize that the  
schedule would be very tight, their hope is that this tutorial could  
be presented at IETF 70 in Vancouver.

The EDU team doesn't run tutorials for a particular WG, so we'd only  
be willing to schedule this tutorial as a Sunday EDU Team tutorial if  
we believe it will be useful to a wider subset of the IETF.  I think  
that an XML Modeling tutorial has the potential to be very useful to  
many folks in both the OPS/NM and Apps areas.  Do you?  If so, what  
topics should it cover?  If this will only be useful to the NETCONF  
community, it still might make sense to put something together.   
However, it might be better to have the OPS/NM ADs sponsor this in a  
netconf-related meeting slot or in a bar BOF slot, rather than  
running it as a Sunday tutorial.

Unfortunately, we don't have enough XML expertise within the EDU Team  
to provide a tutorial on this topic.  There has been one volunteer,  
Ladislav Lhotka, who has volunteered to present a tutorial on Relax  
NG only, but we'd ideally like something at a higher level -- at  
least covering both XSD and Relax NG and comparing them.  Perhaps we  
could find an XSD expert to team up with Lada?  Unfortunately, none  
of us are familiar with Lada, so we don't know whether he/she would  
be a good choice to present a well-balanced tutorial that would  
reflect well on the IETF.  Do either of you know Lada well enough to  
comment?

Chris and Lisa, do you have any thoughts on whether it makes sense to  
offer an XML Modeling tutorial?  If so, do you have any thoughts on  
who might be the best choices to teach such a tutorial, and would you  
be willing to approach them for us?

Is it actually possible to get this tutorial ready for IETF 70 in  
Vancouver?  Or would we get better results if we delay until IETF  
71?  To hold an EDU tutorial at IETF 70, we'd need to identify the  
responsible people this week and provide a summary for the agenda by  
Friday, October 19th.  We'd then to have completed materials by  
November 5th (less than 3 weeks from now) for review by the EDU Team  
and selected experts (perhaps you guys and the XML directorate?).    
We definitely need to decide whether or not we are going to try for  
an IETF 70 tutorial this week, because we're current holding a slot  
open for IETF 70 and we can't do that indefinitely.  The tutorials  
should already be listed on the agenda, registration page, etc.  If  
we are not going to teach this tutorial at IETF 70, we need to  
schedule another one, and it wouldn't be fair or effective to do that  
any later than this week.

Open questions are:

(1) Would an XML modeling tutorial be useful to a fairly wide IETF  
audience, or only to the NETCONF community?  If the former, we could  
run a Sunday EDU Team tutorial.  If the latter, it might be better to  
have the OPS/NM ADs sponsor a one-time tutorial in a meeting or bar  
BOF slot.

(2) Do we have experts available who would be willing to prepare and  
teach an XML Modeling tutorial?

(3) Is it possible to put a good tutorial together for IETF 70 (which  
means completing the materials by November 5th), or should we delay  
until IETF 71?

Thanks,
Margaret

---

From: Lisa Dusseault <[email-masked]>
Date: Tue, 16 Oct 2007 15:19:25 -0700

This makes so much sense that I've already asked Tim Bray if he can  
do this -- and he lives in Vancouver!  If he can do it we'll be well  
served; Tim will provide a XML insider's perspective and teach us a  
lot.  Even if we ultimately do other XML tutorials with different  
material and different slant, the Vancouver IETF is a great  
opportunity to get Tim to talk.

This will definitely be useful to a wide IETF audience.  I'll be  
advertising it to the Apps area pretty strongly if we do have an XML  
tutorial.

Thanks!
Lisa

On Oct 16, 2007, at 7:23 AM, Margaret Wasserman wrote:

> schedule would be very tight, their hope is that this tutorial  
> could be presented at IETF 70 in Vancouver.
>
> The EDU team doesn't run tutorials for a particular WG, so we'd  
> only be willing to schedule this tutorial as a Sunday EDU Team  
> tutorial if we believe it will be useful to a wider subset of the  
> IETF.  I think that an XML Modeling tutorial has the potential to  
> be very useful to many folks in both the OPS/NM and Apps areas.  Do  
> you?  If so, what topics should it cover?  If this will only be  
> useful to the NETCONF community, it still might make sense to put  
> something together.  However, it might be better to have the OPS/NM  
> ADs sponsor this in a netconf-related meeting slot or in a bar BOF  
> slot, rather than running it as a Sunday tutorial.
>
> Unfortunately, we don't have enough XML expertise within the EDU  
> Team to provide a tutorial on this topic.  There has been one  
> volunteer, Ladislav Lhotka, who has volunteered to present a  
> tutorial on Relax NG only, but we'd ideally like something at a  
> higher level -- at least covering both XSD and Relax NG and  
> comparing them.  Perhaps we could find an XSD expert to team up  
> with Lada?  Unfortunately, none of us are familiar with Lada, so we  
> don't know whether he/she would be a good choice to present a well- 
> balanced tutorial that would reflect well on the IETF.  Do either  
> of you know Lada well enough to comment?
>
> Chris and Lisa, do you have any thoughts on whether it makes sense  
> to offer an XML Modeling tutorial?  If so, do you have any thoughts  
> on who might be the best choices to teach such a tutorial, and  
> would you be willing to approach them for us?
>
> responsible people this week and provide a summary for the agenda  
> by Friday, October 19th.  We'd then to have completed materials by  
> November 5th (less than 3 weeks from now) for review by the EDU  
> Team and selected experts (perhaps you guys and the XML  
> directorate?).   We definitely need to decide whether or not we are  
> going to try for an IETF 70 tutorial this week, because we're  
> current holding a slot open for IETF 70 and we can't do that  
> indefinitely.  The tutorials should already be listed on the  
> agenda, registration page, etc.  If we are not going to teach this  
> tutorial at IETF 70, we need to schedule another one, and it  
> wouldn't be fair or effective to do that any later than this week.
>
> Open questions are:
>
> audience, or only to the NETCONF community?  If the former, we  
> could run a Sunday EDU Team tutorial.  If the latter, it might be  
> better to have the OPS/NM ADs sponsor a one-time tutorial in a  
> meeting or bar BOF slot.
>
> (2) Do we have experts available who would be willing to prepare  
> and teach an XML Modeling tutorial?
>
> (3) Is it possible to put a good tutorial together for IETF 70  
> (which means completing the materials by November 5th), or should  
> we delay until IETF 71?
>
> Thanks,
> Margaret
>
>

---

From: Margaret Wasserman <[email-masked]>
Date: Tue, 16 Oct 2007 20:23:09 -0400

Excellent!

If Tim is willing to do this, could you ask him to send a brief  
description of the tutorial to the EDU team ([email-masked]), so  
that we can get it listed on the agenda and the registration page?   
You can see some examples of brief descriptions from this site:

http://www3.ietf.org/meetings/70-Sunday_Sessions.html

The "TBD" slot is the one we've been holding for an XML tutorial, if  
we could get one together.

We'd also like to get an outline of the material ASAP and a draft set  
of slides by November 5th, so that there is time to get the material  
reviewed before Vancouver.

Thanks!
Margaret

On Oct 16, 2007, at 6:19 PM, Lisa Dusseault wrote:

> do this -- and he lives in Vancouver!  If he can do it we'll be  
> well served; Tim will provide a XML insider's perspective and teach  
> us a lot.  Even if we ultimately do other XML tutorials with  
> different material and different slant, the Vancouver IETF is a  
> great opportunity to get Tim to talk.
>
> advertising it to the Apps area pretty strongly if we do have an  
> XML tutorial.
>
> Thanks!
> Lisa
>
>> be very useful to many folks in both the OPS/NM and Apps areas.   
>> Do you?  If so, what topics should it cover?  If this will only be  
>> something together.  However, it might be better to have the OPS/ 
>> NM ADs sponsor this in a netconf-related meeting slot or in a bar  
>> BOF slot, rather than running it as a Sunday tutorial.
>>
>> with Lada?  Unfortunately, none of us are familiar with Lada, so  
>> we don't know whether he/she would be a good choice to present a  
>> well-balanced tutorial that would reflect well on the IETF.  Do  
>> either of you know Lada well enough to comment?
>>
>> to offer an XML Modeling tutorial?  If so, do you have any  
>> thoughts on who might be the best choices to teach such a  
>> tutorial, and would you be willing to approach them for us?
>>
>> directorate?).   We definitely need to decide whether or not we  
>> are going to try for an IETF 70 tutorial this week, because we're

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 17 Oct 2007 11:47:38 +0200

Thanks, Lisa!

Dan

> From: Lisa Dusseault [mailto:[email-masked]] 
> Sent: Wednesday, October 17, 2007 12:19 AM
> To: Margaret Wasserman
> Cc: [email-masked]; Ron Bonica; Romascanu, Dan (Dan); 
> EDU Team; Andy Bierman; Simon Leinen
> This makes so much sense that I've already asked Tim Bray if 
> he can do this -- and he lives in Vancouver!  If he can do it 
> we'll be well served; Tim will provide a XML insider's 
> perspective and teach us a lot.  Even if we ultimately do 
> other XML tutorials with different material and different 
> slant, the Vancouver IETF is a great opportunity to get Tim to talk.
> 
> This will definitely be useful to a wide IETF audience.  I'll 
> be advertising it to the Apps area pretty strongly if we do 
> have an XML tutorial.
> 
> Thanks!
> Lisa
> 
> > The EDU Team has received a fairly urgent request from the 
> OPS/NM Area 
> > and the NETCONF community for a tutorial on XML modeling, 
> specifically 
> > on XSD and Relax NG.  Although they realize that the 
> schedule would be 
> > very tight, their hope is that this tutorial could be presented at 
> > IETF 70 in Vancouver.
> >
> > netconf-related meeting slot or in a bar BOF slot, rather 
> than running 
> > it as a Sunday tutorial.
> >
> > Ladislav Lhotka, who has volunteered to present a tutorial 
> on Relax NG 
> > only, but we'd ideally like something at a higher level -- at least 
> > covering both XSD and Relax NG and comparing them.  Perhaps 
> we could 
> > find an XSD expert to team up with Lada?  Unfortunately, none of us 
> > are familiar with Lada, so we don't know whether he/she would be a 
> > good choice to present a well- balanced tutorial that would reflect 
> > well on the IETF.  Do either of you know Lada well enough 
> to comment?
> >
> > Vancouver?  Or would we get better results if we delay 
> until IETF 71?  
> > To hold an EDU tutorial at IETF 70, we'd need to identify the 
> > and selected experts (perhaps you guys and the XML
> > going to try for an IETF 70 tutorial this week, because 
> we're current 
> > holding a slot open for IETF 70 and we can't do that indefinitely.  
> > The tutorials should already be listed on the agenda, registration 
> > page, etc.  If we are not going to teach this tutorial at 
> IETF 70, we 
> > need to schedule another one, and it wouldn't be fair or 
> effective to 
> > do that any later than this week.
> >
> > Open questions are:
> >